package v1

import (
	"property-applete-gateway/param/base"
	"property-applete-gateway/pb/v1"
)

type SystemMsgCountRequest struct {
	base.Header
}
type SystemMsgCountResponse struct {
	base.Result
	Data v1.SystemMsgCountReply `json:"data"`
}

type SystemMsgListQuery struct {
	Page                 int64    `form:"page" json:"page"`
	PageSize             int64    `form:"page_size" json:"page_size"`
}

type SystemMsgListRequest struct {
	base.Header
	SystemMsgListQuery
}

type SystemMsgListResponse struct {
	base.Result
	Data v1.SystemMsgListReply `json:"data"`
}

type SystemMsgReadedBody struct {
	Id int64 `form:"id"`
}
type SystemMsgReadedRequest struct {
	base.Header
	SystemMsgReadedBody
}
type SystemMsgReadedResponse struct {
	base.Result
}